Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

Get Quota Override

GET
/taxonomy/v1/quotas/{quota}/overrides/{id}
curl --request GET \
--url https://example.com/taxonomy/v1/quotas/example/overrides/example

Returns one quota override by unique ID

quota
required
string

The quota the override belongs to

id
required
string

The unique identifier of the override to retrieve

OK

Media type application/json

Quota Override

A per-scope replacement for a quota’s default limit. One override may exist per (quota, scope); where none exists the catalogue default applies.

object
id

The unique identifier of the override

stringOutput only
quota_id

The quota this override replaces the default of, taken from the request path

stringOutput only
scope_type
required

The scope level the override applies at

string format: enum
Allowed values: TAXONOMY_SCOPE_TYPE_UNSPECIFIED TAXONOMY_SCOPE_TYPE_PLATFORM TAXONOMY_SCOPE_TYPE_ORGANISATION TAXONOMY_SCOPE_TYPE_WORKSPACE TAXONOMY_SCOPE_TYPE_GROUP
scope_id
required

The identifier of the scoped resource the override applies to

string
effective_limit
required

The limit in force for this scope while the override exists

integer format: int32
create_time

Created Timestamp

The timestamp when the override was created

string format: date-time Output only
update_time

Updated Timestamp

The timestamp when the override was last updated

string format: date-time Output only
Example
{
"scope_type": "TAXONOMY_SCOPE_TYPE_UNSPECIFIED"
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}